| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Well::BulkDirectionalAscIO Class Reference
Well

`#include <wellimpasc.h>`

Inheritance diagram for Well::BulkDirectionalAscIO:
[legend]

## Public Member Functions
| BulkDirectionalAscIO (const Table::FormatDesc &, od_istream &)
| ~BulkDirectionalAscIO ()
bool | get (BufferString &wellnm, double &md, double &incl, double &azi) const
bool | identifierIsUWI () const
Public Member Functions inherited from Table::AscIO
| AscIO (const FormatDesc &)
virtual | ~AscIO ()
const FormatDesc & | desc () const
uiString | errMsg () const
double | getdValue (int idx, double udf=mUdf(double)) const
float | getfValue (int idx, float udf=mUdf(float)) const
const char * | text (int ifld) const
uiString | warnMsg () const

## Static Public Member Functions
static Table::FormatDesc * | getDesc ()
Static Public Member Functions inherited from Table::AscIO
static const UnitOfMeasure * | getDepthUnit ()
static const UnitOfMeasure * | getTimeUnit ()
static const ZDomain::Info & | zDomain (const FormatDesc &, int idx, uiRetVal &)

## Protected Attributes
od_istream & | strm_
Protected Attributes inherited from Table::AscIO
Converter * | cnvrtr_ = nullptr
uiString | errmsg_
ExportHandler * | exphndlr_ = nullptr
const FormatDesc & | fd_
BufferStringSet | fullline_
bool | hdrread_ = false
ImportHandler * | imphndlr_ = nullptr
bool | iscsv_ = false
bool | needfullline_ = false
uiString | warnmsg_

## Additional Inherited Members
Protected Member Functions inherited from Table::AscIO
void | addVal (const char *, const UnitOfMeasure *) const
int | columnOf (bool hdr, int iinf, int ielem) const
void | emptyVals () const
int | formOf (bool hdr, int iinf) const
BinID | getBinID (int inlfld, int crlfld, double udf=mUdf(double)) const
double | getDValue (int, double udf=mUdf(double), const UnitOfMeasure *outunit=nullptr) const
float | getFValue (int, float udf=mUdf(float), const UnitOfMeasure *outunit=nullptr) const
bool | getHdrVals (od_istream &) const
int | getIntValue (int, int udf=mUdf(int)) const
int | getNextBodyVals (od_istream &) const
| Executor convention.
Coord | getPos (int xfld, int yfld, double udf=mUdf(double), bool isll=false, ConstRefMan< Coords::CoordSystem > crs=SI().getCoordSystem()) const
Coord3 | getPos3D (int xfld, int yfld, int zfld, double udf=mUdf(double), bool isll=false, ConstRefMan< Coords::CoordSystem > crs=SI().getCoordSystem()) const
BufferString | getText (int) const
int | nrVals () const
bool | putHdrVals (od_ostream &) const
bool | putNextBodyVals (od_ostream &) const

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ BulkDirectionalAscIO()

Well::BulkDirectionalAscIO::BulkDirectionalAscIO | ( | const Table::FormatDesc & | ,
|  | od_istream & | )

## ◆ ~BulkDirectionalAscIO()

Well::BulkDirectionalAscIO::~BulkDirectionalAscIO | ( |  | ) |

## Member Function Documentation

## ◆ get()

bool Well::BulkDirectionalAscIO::get | ( | BufferString & | wellnm,
|  | double & | md,
|  | double & | incl,
|  | double & | azi ) const

## ◆ getDesc()

static Table::FormatDesc * Well::BulkDirectionalAscIO::getDesc | ( |  | ) |
| static

## ◆ identifierIsUWI()

bool Well::BulkDirectionalAscIO::identifierIsUWI | ( |  | ) | const

## Member Data Documentation

## ◆ strm_

od_istream& Well::BulkDirectionalAscIO::strm_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025